#
# spec file for package python-os-testr
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname os-testr
Name:           python-os-testr
Version:        0.7.0
Release:        2.3
Summary:        A testr wrapper to provide functionality for OpenStack projects
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.openstack.org/
Source:         https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-ddt >= 1.0.1
BuildRequires:  python-devel
BuildRequires:  python-oslotest >= 1.10.0
BuildRequires:  python-pbr >= 1.6
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
Requires:       python-Babel >= 2.3.4
Requires:       python-pbr >= 1.6
Requires:       python-python-subunit >= 0.0.18
Requires:       python-testrepository >= 0.0.18
Requires:       python-testtools >= 1.4.0
BuildArch:      noarch

%description
A testr wrapper to provide functionality for OpenStack projects
* Documentation: http://docs.openstack.org/developer/os-testr
* Source: http://git.openstack.org/cgit/openstack/os-testr
* Bugs: http://bugs.launchpad.net/os-testr

%package doc
Summary:        Documentation for the testr
Group:          Documentation
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 2.5.0

%description doc
Documentation for the testr wrapper.

%prep
%setup -q -n %{sname}-%{version}

%build
%{__python2} setup.py build

# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{__python2} setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
export PATH="$PATH:%{buildroot}/%{_bindir}"
export PYTHONPATH="%{python2_sitearch}:%{python2_sitelib}:%{buildroot}%{python2_sitelib}"
%{__python2} setup.py testr

%files
%defattr(-,root,root,-)
%license LICENSE
%doc README.rst ChangeLog
%{_bindir}/generate-subunit
%{_bindir}/ostestr
%{_bindir}/subunit-trace
%{_bindir}/subunit2html
%{python2_sitelib}/os_testr
%{python2_sitelib}/os_testr*egg-info

%files doc
%license LICENSE
%doc doc/build/html

%changelog
* Mon Jul  4 2016 tbechtold@suse.com
- update to 0.7.0:
  * Add whitelist file to ostestr docs
  * Seperate regex builder logic into a seperate module
  * Split functionality out of main
  * Updated from global requirements
  * Fix docs typos
  * Updated from global requirements
  * Fix coverage option and execution
  * Add version option for ostestr and subunit-trace
  * Remove openstack-common.conf
  * Add pypi download + version badges into README.rst
  * remove python 3.3 trove classifier
  * Treat xfail output like success
  * Updated from global requirements
  * correct typo
  * Enable testr run passthrough arguments
  * Updated from global requirements
  * Add unit test for colorizer
- Switch to upstream .spec file
- Use renderspec source service to render upstream
  .spec.j2 template
* Thu Mar  3 2016 tbechtold@suse.com
- Add openstack-macros as BuildRequires for %%license tag
* Thu Mar  3 2016 tbechtold@suse.com
- update to 0.6.0:
  * Support comments in whitelist files
  * Add tool to create a subunit stream
  * Add support to ostestr to use subunit-trace color
  * Fix documentation typos
  * Fix coverage section in tox.ini
  * Add delete *.pyc command before executing ostestr
  * Change to always parsing classes from test_id
  * Add colored output feature to subunit-trace
  * Add *.egg* to .gitignore
  * Fail if no tests were successfully executed
  * Fix syntax of the README file
- Add /usr/bin/generate-subunit
* Thu Feb 25 2016 dmueller@suse.com
- adjust to common packaging guidelines
* Fri Oct 16 2015 dmueller@suse.com
- update to 0.4.2:
  * Better blacklist - tested with Nova
  * Add whitelist file support
  * Fix issues with the blacklist file regex generation
  * Use test_to_run var in no-discover
  * Minor refactoring to make os_testr more testable
  * Switch to using autogenerated ChangeLog in docs
  * Change ignore-errors to ignore_errors
  * Handle a skipped test without a reason message
  * Minimize output when --abbreviate is used
  * Make use of argparse groups and add some tests
  * Convert file names to regular expressions
  * Handle incomplete subunit streams
  * Set min pbr version in setup_requires
  * update requirements
  * Add TODO entry for moving away from subprocess in ostestr
  * Improved docs for os-testr commands
  * Dogfood things for unit tests
  * Disable printing percent change on run time by default
  * Misc Python 3 compatibility fixes
  * Catch exception trying to extract test time
  * Fix ValueError in subunit_trace
  * Add support for having comments in the exclude file
  * Add TODO file to os-testr
* Wed Jun  3 2015 tbechtold@suse.com
- Adjust Requires
* Wed Jun  3 2015 tbechtold@suse.com
- Initial packaging
